Subject: Re: [PATCH V2] net/sched: sch_plug - Queue traffic until an explicit release command

From: Hagen Paul Pfeifer <[email-masked]>
Date: Mon, 30 Jan 2012 15:54:52 +0100

On Mon, 30 Jan 2012 09:45:56 -0500, Jamal Hadi Salim wrote:

> Please address the comment from Hagen on the printk (kill it).

> Other than that i think this simple enough and non-intrusive

> to other users that you can add an Acked-by from me.

> It will be nice to get it to be generic as per Hagen's and my

> earlier comments.

I thought about sch_plug a second time and I like the idea of a user-space

based flow-controlled queue. But as I wrote in my first email: the current

implementation is a little bit XEN specific. Make it more general

(plug/unplug, plug/packet-based-unplug) and it is a great contribution.

Hagen